import axios from 'axios';
import chalk from 'chalk';

axios.defaults.timeout = 1000;

const cat = async () => {
  return await axios.get('https://aws.random.cat/meow')
    .then((res) => {
      return res.data.file;
    })
    .catch((e) => {
      console.log(`${chalk.red('Error:')} the Cat API is unavailable`);
    });
};

export default { name: 'cat', execute: cat };
